<template>
    <div>
        <v-table :columns="columns" :ds="items" v-model:value="selectList" :pageSize="filter.pageSize || 20"
            :totalRecord="totalRecord" @page="onPageChange" :current="current" @pageSizeChange="onChangePageSize"
            v-model:search="filter.search" @onSearch="onSearch" @onEdit="onEdit" @onDelete="onDelete"  width="100%"
            >
        </v-table>
    </div>
  </template>
  
  <script>
  import { mapActions, mapGetters } from 'vuex';
  import VTable from '@/components/VTable';
  import { ElMessage } from 'element-plus';
  
  
  export default {
    name: 'v-disbursement-reguest-list',
    components: {
        VTable,
    },
    props: {
        totalRecord: {
            type: Number,
            default: 20
        },
        data: {
            type: Array,
            default: () => []
        },
    },
    
    computed: {
        ...mapGetters('DisbursementReguest', ['items', 'totalRecord']),
    },
    data: () => ({
        filter: {
            pageSize: 20,
            pageNumber: 1,
            search: '',
            proId: 0
        },
        current: 1,
        selectList: [],
        columns: [
            {
                field: 'nameKh',
                name: 'Name Kh',
            },
            {
                field: 'nameEn',
                name: 'Name EN'
            },
            {
                field: 'gender',
                name: 'Gender',
           
            },
            {
                field: 'nationality',
                name: 'Nationality',
    
            },
            {
                field: 'dob',
                name: ' Date Of Birth'
            },
            {
                field: 'idNo',
                name: 'ID No',
            },
            {
                field: 'phoneContract',
                name: 'Phone Contract',
            }
        ]
    }),
    methods: {
        onChangePageSize(value) {
            this.filter = { ...this.filter, ...{ pageSize: value } };
            this.onFetchAll();
        },
        onFetchAll() {
            try {
                this.selectList = [];
            } catch (error) {
                ElMessage({
                    showClose: true,
                    message: error,
                })
            }
        },
        ...mapActions('DisbursementReguest'),
       
        onSearch() {
            this.onFetchAll();
        },
        onEdit(val) {
            this.$router.push({ path: `/disbursement/reguest/edit/${val}` });
        },
      
    },
  }
  </script>